TICKIT_STRINGPOS_ZERO(3)

NAME
tickit_stringpos_zero - clear the fields of a string position counter

SYNOPSIS
    #include <tickit.h>

    void tickit_stringpos_zero(TickitStringPos *pos);

Link with -ltickit.

DESCRIPTION
tickit_stringpos_zero() sets the four counter fields of pos to zero. This operation is done implictly by tickit_utf8_count(3), but this function may be useful to initialise a counter to zeros before entering a loop, and using tickit_utf8_countmore(3) for every iteration.

RETURN VALUE
tickit_stringpos_zero() returns no value.

SEE ALSO
tickit_utf8_count(3), tickit_stringpos_limit_bytes(3), tickit(7)